Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/list/{{list_id}}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/list/{{list_id}}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/list/{{list_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_by": "Gloria Tejuosho",
"description": "",
"favorite_count": 0,
"id": 8504994,
"iso_639_1": "en",
"item_count": 1,
"items": [
{
"adult": false,
"backdrop_path": "/7yD0xhcx600Ng2XBElVE4eN4bE7.jpg",
"genre_ids": [
28,
878
],
"id": 32740,
"media_type": "movie",
"original_language": "hi",
"original_title": "कृष",
"overview": "In Singapore, Krishna is forced by circumstances to use his superpowers and become a masked superhero named Krrish, before getting drawn towards his lost legacy.",
"popularity": 11.536,
"poster_path": "/Apd4UKesyTmpDutEjNVHP45kvBi.jpg",
"release_date": "2006-06-23",
"title": "Krrish",
"video": false,
"vote_average": 6.3,
"vote_count": 232
}
],
"name": "My List",
"page": 1,
"poster_path": null,
"total_pages": 1,
"total_results": 1
}This endpoint retrieves the details of a list.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the language.
"en"
This represents the page number.
"1"
Details
"Gloria Tejuosho"
""
0
8504994
"en"
1
Show child attributes
[
{
"adult": false,
"backdrop_path": "/7yD0xhcx600Ng2XBElVE4eN4bE7.jpg",
"genre_ids": [28, 878],
"id": 32740,
"media_type": "movie",
"original_language": "hi",
"original_title": "कृष",
"overview": "In Singapore, Krishna is forced by circumstances to use his superpowers and become a masked superhero named Krrish, before getting drawn towards his lost legacy.",
"popularity": 11.536,
"poster_path": "/Apd4UKesyTmpDutEjNVHP45kvBi.jpg",
"release_date": "2006-06-23",
"title": "Krrish",
"video": false,
"vote_average": 6.3,
"vote_count": 232
}
]
"My List"
1
1
1